Feeds

Get a feed

GET
/v1/feeds/{id}
AuthorizationBearer <token>

API key minted via POST /v1/api-keys (format mk_live_...)

In: header

Path Parameters

idstring

Feed id (fd_...).

Length1 <= length

Response Body

application/json

application/json

application/json

curl -X GET "https://api.mentio.dev/v1/feeds/fd_abc123"
{
  "id": "string",
  "url": "string",
  "title": "string",
  "connectedAt": "string",
  "readingSince": "string",
  "auth": {
    "type": "cookie"
  },
  "health": {
    "status": "ok",
    "reason": "login_required",
    "detail": "string",
    "failures": 0,
    "since": "string"
  },
  "stats": {
    "lastPolledAt": "string",
    "emptyPolls": 0
  }
}
{
  "error": {
    "code": "unauthorized",
    "message": "string",
    "requestId": "string",
    "retryAfterSeconds": 0
  }
}
{
  "error": {
    "code": "unauthorized",
    "message": "string",
    "requestId": "string",
    "retryAfterSeconds": 0
  }
}